package main

import (
	"fmt"
	"strconv"
	"testing"
)

func TestTagBidding(t *testing.T) {
	data := map[string]interface{}{
		"toptype":    "招标",
		"subtype":    "招标",
		"buyerclass": "能源化工",
	}

	rea := TagBidding(data)
	fmt.Println(rea)

	reb := calculateFlag(rea, columns)
	fmt.Println(reb)

	fmt.Println("len data", len(data))

	dab := make(map[string]interface{})
	fmt.Println("len dab ", len(dab))

	code := "04"
	stage_code, _ := strconv.Atoi(code)
	if stage_code > 0 {
		fmt.Println("aaaa")
	}
	fmt.Println(stage_code)
}
